%{
#include<stdio.h>
extern int lexinit(FILE*);
extern int yylex();
extern int yyerror(char*);
%}

%token V C F L N 

%left L 
%left N 

%%

s : a 
  | a s 
  ;
a : V '=' e ';' 
  ;
e : e L e
  | e N e
  | F '(' e ')'
  | V
  | C
  ;

%%

int yyerror(char *msg) { printf("ERROR: %s \n",msg); return -1; }

int main(int argc,char** argv)
{
  FILE *source_file=fopen(argv[1],"r");
  lexinit(source_file); 
  yyparse();
  fclose(source_file);
  return 0;
}

